
def zipfile_extract(file_path, extract_to_dir):
    """
    解压ZIP文件到指定目录。
    """
    import zipfile
    try:
        with zipfile.ZipFile(file_path, 'r') as zip_ref:
            zip_ref.extractall(extract_to_dir)
        return True
    except zipfile.BadZipFile:
        return False



